classification
Title: Missing isolated (-I) flag in sys.flags table
Type: Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: danishprakash, docs@python, miss-islington, ned.deily, terry.reedy, xtreak
Priority: normal Keywords: patch

Created on 2018-10-05 04:16 by danishprakash, last changed 2018-10-22 22:01 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 9708 merged python-dev, 2018-10-05 04:20
PR 9749 merged miss-islington, 2018-10-07 16:18
PR 9755 merged danishprakash, 2018-10-17 16:24
Messages (9)
msg327103 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2018-10-05 05:53
Thanks for the PR @danishprakash . `-I` was added as part of 3.4 with commit ad73a9cf977 and not backported to 2.7 . Also 3.4 and 3.5 branches are in security fixes mode. So I am removing 2.7, 3.4 and 3.5 .
msg327107 - (view) Author: Danish Prakash (danishprakash) * Date: 2018-10-05 06:57
thank you for for making the corrections, however, what's with a version being in security fixes mode? I would like to read more about that.
msg327111 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2018-10-05 07:59
Every release has a PEP associated with it from 3.6 and above that says about the lifespan of the release with bug fix releases and the time where it enters security fixes only mode. Now 3.4 and 3.5 are in security fixes mode where only security updates for the most part are accepted and the changes are pulled in by the release manager to the respective branches. Also there will be no binary releases and only source releases for security only branches.

Python 3.5.6 security announcement : https://www.python.org/downloads/release/python-356/

> Python 3.5 has now entered "security fixes only" mode, and as such the only changes since Python 3.5.4 are security fixes. Also, Python 3.5.6 has only been released in source code form; no more official binary installers will be produced.

Python 3.8 release lifespan : https://www.python.org/dev/peps/pep-0569/#lifespan

So I have removed 3.4 and 3.5 but it's up to the reviewer to decide if this needs to be backported or not to those branches. I hope I am correct on the above.
msg327273 - (view) Author: Danish Prakash (danishprakash) * Date: 2018-10-07 11:31
Thanks for the concise explanation, that makes sense.

> Also there will be no binary releases and only source releases for security only branches.

Is there any particular reason as to why this happens? IS it just to make it easier for the team to focus on the development of current versions or something else?
msg327282 - (view) Author: miss-islington (miss-islington) Date: 2018-10-07 16:18
New changeset c59e75ccf0ea8d882738214e0385f41eed51e3c7 by Miss Islington (bot) in branch '3.7':
bpo-34901: add isolated (-I) flag to sys.flags (GH-9708)
https://github.com/python/cpython/commit/c59e75ccf0ea8d882738214e0385f41eed51e3c7
msg327297 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2018-10-07 18:01
>> Also there will be no binary releases and only source releases for security only branches.

> Is there any particular reason as to why this happens? IS it just to make it easier for the team to focus on the development of current versions or something else?

Sorry, I don't have a better explanation over the workflow.
msg327909 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-10-17 16:20
In spite of what is said above, PR 9708 was merged before the auto-backport.
msg328276 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-10-22 22:00
New changeset da7d7d0ccc2e7cab62080e146cab027f2aa6fd03 by Ned Deily (danishprakash) in branch '3.6':
[3.6] bpo-34901: add -I flag to sys.flags (GH-9755)
https://github.com/python/cpython/commit/da7d7d0ccc2e7cab62080e146cab027f2aa6fd03
msg328277 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-10-22 22:01
Thanks, Danish and everyone else!
History
Date User Action Args
2018-10-22 22:01:57ned.deilysetstatus: open -> closed
resolution: fixed
messages: + msg328277

stage: patch review -> resolved
2018-10-22 22:00:19ned.deilysetnosy: + ned.deily
messages: + msg328276
2018-10-17 16:24:19danishprakashsetpull_requests: + pull_request9283
2018-10-17 16:20:05terry.reedysetnosy: + terry.reedy
messages: + msg327909
2018-10-07 18:01:17xtreaksetmessages: + msg327297
2018-10-07 16:18:24miss-islingtonsetnosy: + miss-islington
messages: + msg327282
2018-10-07 16:18:21miss-islingtonsetpull_requests: + pull_request9135
2018-10-07 11:31:35danishprakashsetmessages: + msg327273
2018-10-05 07:59:57xtreaksetmessages: + msg327111
2018-10-05 06:57:35danishprakashsetmessages: + msg327107
2018-10-05 05:53:44xtreaksetnosy: + xtreak

messages: + msg327103
versions: - Python 2.7, Python 3.4, Python 3.5
2018-10-05 04:20:30python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request9093
2018-10-05 04:16:40danishprakashcreate